## debhelper 5.0.7ubuntu13

=== debian/changelog ===
debhelper (5.0.7ubuntu13) dapper; urgency=low

  *  dh_iconcache: use :g in the substitute to remove more than one occurence
     of #ICONDIR# per line (Ubuntu: #42895)

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu,  4 May 2006 11:20:55 +0200

debhelper (5.0.7ubuntu12) dapper; urgency=low

  * autoscripts/postrm-iconcache: Test for #ICONDIR# before we try to touch
    it in postrm, since it may well have been removed before we try to run.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed,  3 May 2006 11:10:03 +1000

debhelper (5.0.7ubuntu11) dapper; urgency=low

  * Merge change from 5.0.26:
  * dh_installinit: Fix badly generated code in maint scripts that used
     || exit 0   instead of the intended
     || exit $?
    due to a bad shell expansion and caused invoke-rc.d errors to be
    ignored. Closes: #337664

    Note: This has been broken since version 4.2.12 and has affected many
    packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Apr 2006 07:54:52 +0000

debhelper (5.0.7ubuntu10) dapper; urgency=low

  * autoscripts/post{inst,rm}-iconcache:
    - handle the somewhat strange case of libgtk2.0-bin being unpacked
      (gtk-update-icon-cache exists), but /etc/gtk-2.0/gdk-pixbuf.loaders not
      generated yet. (This is the case during the CD builds.)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 24 Apr 2006 12:01:16 +0200

debhelper (5.0.7ubuntu9) dapper; urgency=low

  * autoscripts/post{inst,rm}-iconcache:
    - check for existence of index.theme file.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 12 Apr 2006 11:06:37 +0200

debhelper (5.0.7ubuntu8) dapper; urgency=low

  * autoscripts/post{inst,rm}-iconcache,
    dh_iconcache:
    - moved is-empty check to post{inst,rm}
    - don't bomb out, if gtk-update-icon-cache fails, it's not important
      enough.
    - clean up.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 11 Apr 2006 09:54:14 +0200

debhelper (5.0.7ubuntu7) dapper; urgency=low

  * dh_iconcache:
    - cope with empty them directories, narf! (Malone: #38486)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri,  7 Apr 2006 12:29:07 +0200

debhelper (5.0.7ubuntu6) dapper; urgency=low

  * autoscripts/postrm-iconcache,
    autoscripts/postinst-iconcache:
    - play it safe and run   touch -m   on the dir.
    - use  -q  in gtk-update-icon-cache usage.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue,  4 Apr 2006 21:01:29 +0200

debhelper (5.0.7ubuntu5) dapper; urgency=low

  * autoscripts/postinst-iconcache,
    autoscripts/postrm-iconcache,
    dh_iconcache:
    - wrote dh_iconcache. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon,  3 Apr 2006 12:16:33 +0200

debhelper (5.0.7ubuntu4) dapper; urgency=low

  * merged autoscripts/post*-gconf-defaults from Debian as well.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed,  1 Feb 2006 10:01:46 +0000

debhelper (5.0.7ubuntu3) dapper; urgency=low

  * dh_gconf change from Debian:
    - add support for debian/package.gconf-defaults, to provide
      defaults for a package without patching the schemas.
  * dh_gconf: updated the packages version for Ubuntu

 -- Sebastien Bacher <seb128@canonical.com>  Sat, 28 Jan 2006 19:21:50 +0100

debhelper (5.0.7ubuntu2) dapper; urgency=low

  * autoscripts/{postinst,prerm}-gconf:
    - apply the gconf changes now since we have done the transition.
  * dh_gconf:
    - updated the gconf2 requirement to the current version.

 -- Sebastien Bacher <seb128@canonical.com>  Fri, 25 Nov 2005 17:02:02 +0100

debhelper (5.0.7ubuntu1) dapper; urgency=low

  * Automatic merge was messy, clean up Ubuntu patches and apply them
    manually:
    - autoscripts/postinst-scrollkeeper: Do not display scrollkeeper output.
    - dh_installxfonts, dh_compress: Fix path to X11 fonts.
    - dh_installwm: Fix X11 path.
    - man/po4a/po/{debhelper.pot,*.po}: Fix path to X11 fonts in man page
      translations.
  * autoscripts/{postinst,prerm}-gconf: Revert patch from Debian#327209: We
    need to use the old school way until we have a fixed gconf.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 17 Nov 2005 13:44:24 +0100

debhelper (5.0.7) unstable; urgency=low

  * Patch from Valéry Perrin to update Frensh translation, and also update
    the po4a stuff. Closes: #338713
  * Fix a bad regexp in -s handling code that breaks if an architecture name,
    such as i386-uclibc is the hyphenated version of a different arch.
    Closes: #338555

 -- Joey Hess <joeyh@debian.org>  Sun, 13 Nov 2005 13:28:13 -0500

debhelper (5.0.6) unstable; urgency=low

  * Pass --name in debhelper.pod pod2man run. Closes: #338349

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Nov 2005 16:08:27 -0500

debhelper (5.0.5) unstable; urgency=low

  * Create Dh_Version.pm before running syntax test. Closes: #338337

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Nov 2005 15:41:06 -0500

debhelper (5.0.4) unstable; urgency=low

  * Remove hardcoded paths to update-modules and gconf-schemas in various
    script fragments.
  * dh_clean: Patch from Matej Vela to clean up autom4te.cache directories
    in subdiretories of the source tree and do it all in one enormous,
    evil, and fast find expression. Closes: #338193

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Nov 2005 16:16:56 -0500

debhelper (5.0.3) unstable; urgency=low

  * Remove dh_shlibs from binary-indep section of debian/rules.
  * Add t/syntax to make sure all dh_* commands and the libraries syntax check
    ok.

 -- Joey Hess <joeyh@debian.org>  Mon,  7 Nov 2005 15:18:12 -0500

debhelper (5.0.2) unstable; urgency=low

  * Sometimes it's a good idea to edit more files than just the changelog
    before releasing.

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Nov 2005 11:54:46 -0500

debhelper (5.0.1) unstable; urgency=low

  * dh_installinfo: Escape section with \Q \E. Closes: #337215

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Nov 2005 11:04:21 -0500

debhelper (5.0.0) unstable; urgency=low

  * debhelper v5 mode is finalised and the new recommended compatability

