## debhelper 5.0.37.3ubuntu4

=== debian/changelog ===
debhelper (5.0.37.3ubuntu4) edgy; urgency=low

  * dh_installxfonts: Set a versioned Depends on xfonts-utils. This change is
    ubuntu specific. Debian doesn't suffer of this issue because they never
    released a version of xfonts-utils that does not support --x11r7-layout
    option.
    (Closes Ubuntu: #52803)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 09 Oct 2006 07:10:42 +0200

debhelper (5.0.37.3ubuntu3) edgy; urgency=low

  * Update from 5.0.39:
    - dh_python: Also be a no-op if there's a Python-Version control file field.

 -- Matthias Klose <doko@ubuntu.com>  Sat,  7 Oct 2006 13:41:46 +0000

debhelper (5.0.37.3ubuntu2) edgy; urgency=low

  * Merge dh_python changes from unstable version 5.0.38, adjust conflicts
    to versions available in edgy, re-add 2.5 as known version.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  6 Oct 2006 11:44:44 +0200

debhelper (5.0.37.3ubuntu1) edgy; urgency=low

  * Synchronize with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Jul 2006 11:32:40 +0200

debhelper (5.0.37.3) unstable; urgency=low

  * Non-maintainer upload.
  * Update of dh_python
    - when buidling for a non-standard Python version, generate more
      reasonable Depends like "python (>= X.Y) | pythonX.Y"
      Closes: #375576
    - fix handling of private extensions. Closes: #375948
    - fix parsing of XS-Python-Version, it didn't work if only fixed versions
      were listed in XS-Python-Version.
    - fix use of unitialized value. Closes: #374776
    - fix typos in POD documentation. Closes: #375936

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 10 Jul 2006 13:20:06 +0200

debhelper (5.0.37.2ubuntu1) edgy; urgency=low

  * Synchronize with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Sun,  2 Jul 2006 14:09:36 +0200

debhelper (5.0.37.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update of dh_pyhton
    - vastly refactored, easier to understand, and the difference
      between old policy and new policy is easier to grasp
    - it supports an -X option which can be used to not scan some files
    - uses debian/pyversions as reference source of information for
      dependencies but also parse the XS-Python-Version header as fallback.
    - ${python:Versions}'s default value is XS-Python-Version's value
      instead of "all" when the package doesn't depend on a
      specific python version. Closes: #373853
    - always generate ${python:Provides} and leave the responsibility to the
      maintainer to not use ${python:Provides} if he doesn't want the
      provides.
    - uses debian/pycompat or DH_PYCOMPAT as reference field to run in new
      policy mode. The presence of XS-Python-Version will also trigger the
      new policy mode (this is for short-term compatibility, it may be removed in
      the not too-distant future).
      DH_PYCOMPAT=1 is the default mode and is compatible to the old policy.
      DH_PYCOMPAT=2 is the new mode and is compatible with the new policy.
  * Use "grep ^Version:" instead of "grep Version:" on the output of
    dpkg-parsechangelog since the above changelog entry matched "Version:" and
    thus made the build fail.

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 17 Jun 2006 20:44:29 +0200

debhelper (5.0.37.1ubuntu1) edgy; urgency=low

  * Synchronize with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Jun 2006 15:42:47 +0200

debhelper (5.0.37.1) unstable; urgency=low

  * Non-maintainer upload.
  * Integrate the new dh_python implementing the new Python policy. Closes: #370833

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 12 Jun 2006 08:58:22 +0200

debhelper (5.0.37) unstable; urgency=low

  * dh_installmodules: depmod -a is no longer run during boot, so if a module
    package is installed for a kernel other than the running kernel, just
    running depmod -a in the postinst is no longer sufficient. Instead, run
    depmod -a -F /boot/System.map-<kvers> <kvers>
    The kernel version is guessed at based on the path to the modules in the
    package. Closes: #301424
  * dh_installxfonts: In postrm, run the deregistraton code even on upgrade,
    in case an upgrade involves moving fonts around (or removing or renaming
    fonts). Closes: #372686

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Jun 2006 21:17:38 -0400

debhelper (5.0.36) unstable; urgency=low

  [ Valery Perrin ]
  * Update french translation with recent change in dh_installxfonts

  [ Joey Hess ]
  * Remove old alternate dependency on fileutils. Closes: #370011
  * Patch from Guillem Jover to make --same-arch handling code support
    the new form of architecture wildcarding which allows use of things
    like "linux-any" and "any-i386" in the Architecture field. Closes: #371082
  * Needs dpkg-dev 1.13.13 for dpkg-architecture -s support needed by
    above, but already depends on that.

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Jun 2006 14:57:19 -0400

debhelper (5.0.35ubuntu1) edgy; urgency=low

  [ Colin Watson ]
  * Resynchronise with Debian. Remaining changes:
    - autoscripts/postinst-scrollkeeper: Do not display scrollkeeper output.
    - Add dh_iconcache.
    - dh_gconf: Update package versions for Ubuntu.
    - dh_installwm: In backward-compatibility code, assume /usr/bin/X11
      rather than /usr/X11R6/bin.

  [ Scott James Remnant ]
  * Make dh_installudev conform to Ubuntu udev policy by installing files
    directly under /etc/udev/rules.d/ rather than installing them in
    /etc/udev/ and creating symlinks.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  8 Jun 2006 15:14:05 +0100

debhelper (5.0.35) unstable; urgency=low

  * dh_installman: When --language is used, be smarter about stripping
    language codes from man page filenames. Only strip things that look like
    codes that match the specified languages. Closes: #366645
  * dh_installxfonts: /etc/X11/fonts/X11R7 is deprecated, back to looking in
    old location, and not passing --x11r7-layout to update-fonts-alias and

