=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 		}'
 
 # Figure out the `current debhelper version.
-VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
+VERSION=$(shell expr "`dpkg-parsechangelog |grep ^Version:`" : '.*Version: \(.*\)')
 
 PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')
 
@@ -65,8 +65,9 @@
 	./run dh_testdir
 	./run dh_testroot
 	./run dh_clean *.1 *.7 *-stamp Debian/Debhelper/Dh_Version.pm
+	po4a --rm-translations --rm-backups man/po4a/po4a.cfg
 	for lang in $(LANGS); do \
-		rm -rf man/$$lang; \
+		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
 	done;
 
 test: version test-stamp
@@ -96,12 +97,9 @@
 	./run dh_md5sums
 	./run dh_builddeb
 
-# Update the debhelper web page. Not intended for use by anyone except the
-# author.
-DIR=/home/web/kitenet.net/programs/debhelper
-installhook:
-	cp debian/changelog $(DIR)/CHANGES
-	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS
+# Not intended for use by anyone except the author.
+announcedir:
+	@echo ${HOME}/src/joeywiki/code/debhelper/news
 
 binary-arch:
 binary: binary-indep binary-arch
