## debhelper 5.0.40~bpo.1

=== debian/changelog ===
debhelper (5.0.40~bpo.1) sarge-backports; urgency=low

  * Backport to sarge
  * Drop the conflicts with python-central/dh_pysupport
  * Drop the versioned dependency on dpkg-dev 1.3.13
    - For that remove the call of "sub samearch" in Dh_Lib.pm and revert
      to the old behaviour.

 -- Joerg Jaspert <joerg@debian.org>  Tue, 14 Nov 2006 10:52:27 +0000

debhelper (5.0.40) unstable; urgency=medium

  [ Valery Perrin ]
  * Update french translation with recent change in dh_python

  [ Joey Hess ]
  * Tighten conflict with python-central. Closes: #391463

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Oct 2006 14:21:28 -0400

debhelper (5.0.39) unstable; urgency=low

  * dh_python: Also be a no-op if there's a Python-Version control file field.

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Oct 2006 13:02:24 -0400

debhelper (5.0.38) unstable; urgency=low

  [ Valery Perrin ]
  * Update french translation with recent change in dh_installmodules
  
  [ Joey Hess]
  * ACK last three NMUs with thanks to Raphael Hertzog for making the best of
    a difficult situation.
  * Revert all dh_python changes. Closes: #381389, #378604
  * Conflict with python-support <= 0.5.2 and python-central <= 0.5.4.
  * Make dh_python do nothing if debian/pycompat is found.
    The new versions of dh_pysupport or dh_pycentral will take care of
    everything dh_python used to do in this situation.
  * dh_python is now deprecated. Closes: #358392, #253582, #189474
  * move po4a to Build-Depends as it's run in clean.
  * Add size test, which fails on any debhelper program of more than 150
    lines (excluding POD). This is not a joke, and 100 lines would be better.
  * Add size test exception for dh_python, since it's deprecated.

 -- Joey Hess <joeyh@debian.org>  Sun,  1 Oct 2006 13:07:40 -0400
