=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 		}'
 
 # Figure out the `current debhelper version.
-VERSION=$(shell expr "`dpkg-parsechangelog |grep ^Version:`" : '.*Version: \(.*\)')
+VERSION=$(shell expr "`dpkg-parsechangelog |grep Version:`" : '.*Version: \(.*\)')
 
 PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')
 
@@ -36,7 +36,7 @@
 LANGS=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
 
 version:
-	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';" > \
+	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
 		Debian/Debhelper/Dh_Version.pm
 
 build: version test build-stamp
