## debhelper 5.0.42

=== debian/changelog ===
debhelper (5.0.42) unstable; urgency=low

  [ Valery Perrin ]
  * Update french translation with recents changes in dh_link and
    dh_installinfo

  [ Joey Hess ]
  * Patch from Simon Paillard to convert French manpages from utf-8 to
    ISO-8859-15. Closes: #397953

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Nov 2006 17:32:23 -0500

debhelper (5.0.41) unstable; urgency=low

  [ Joey Hess ]
  * dh_installchangelogs man page typo. Closes: #393155

  [ Valery Perrin ]
  * Encoding french translation from charset ISO-8859-1 to UTF-8
  * Update french translation with recent change in dh_installchangelogs

  [ Joey Hess ]
  * Tighten python-support and python-central dependencies of debhelper,
    in an IMHO rather futile attempt to deal with derived distributions.
    Closes: #395495
  * Correct some incorrect instances of "v4 only" in docs. Closes: #381536
  * dh_installinfo: Put the section madness to bed by not passing any section
    information to install-info. Current install-info parses INFO-DIR-SECTION
    on its own if that's not specified. Closes: #337215

 -- Joey Hess <joeyh@debian.org>  Tue,  7 Nov 2006 17:04:47 -0500
