## debhelper 5.0.42ubuntu1

=== debian/changelog ===
debhelper (5.0.42ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - autoscripts/postinst-scrollkeeper: Do not display scrollkeeper output.
    - Add dh_iconcache.
    - dh_gconf: Update package versions for Ubuntu.
    - dh_installwm: In backward-compatibility code, assume /usr/bin/X11
      rather than /usr/X11R6/bin.
    - Make dh_installudev conform to Ubuntu udev policy by installing files
      directly under /etc/udev/rules.d/ rather than installing them in
      /etc/udev/ and creating symlinks.
    - dh_installxfonts: Set a versioned Depends on xfonts-utils to ensure
      availability of --x11r7-layout.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Dec 2006 12:11:03 +0000

debhelper (5.0.40ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - autoscripts/postinst-scrollkeeper: Do not display scrollkeeper output.
    - Add dh_iconcache.
    - dh_gconf: Update package versions for Ubuntu.
    - dh_installwm: In backward-compatibility code, assume /usr/bin/X11
      rather than /usr/X11R6/bin.
    - Make dh_installudev conform to Ubuntu udev policy by installing files
      directly under /etc/udev/rules.d/ rather than installing them in
      /etc/udev/ and creating symlinks.
    - dh_installxfonts: Set a versioned Depends on xfonts-utils to ensure
      availability of --x11r7-layout.
    - debian/control: Adjust Conflicts on python-support and python-central
      to take Ubuntu versions into account.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Oct 2006 12:36:59 +0100
