=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, coreutils, file (>= 3.23-1), dpkg-dev, html2text, binutils, po-debconf
+Depends: ${perl:Depends}, ${misc:Depends}, coreutils, file (>= 3.23-1), dpkg-dev (>= 1.13.13), html2text, binutils, po-debconf
 Suggests: dh-make
-Conflicts: dpkg-cross (<< 1.18)
+Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules
  A collection of programs that can be used in a debian/rules file to
  automate common tasks related to building debian packages. Programs
