## debhelper 5.0.42-0osso1

=== debian/changelog ===
debhelper (5.0.42-0osso1) unstable; urgency=low

  * Removed dependency to po4a
  * Changed maintainer to integration@maemo.org

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed,  1 Aug 2007 15:43:50 +0300
