=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Joey Hess <joeyh@debian.org>
-Build-Depends: po4a (>= 0.24)
+Maintainer: maemo integration <integration@maemo.org>
 Standards-Version: 3.7.2
 XS-Vcs-Svn: svn://svn.debian.org/debhelper/trunk/
