## debhelper 5.0.51ubuntu3

=== debian/changelog ===
debhelper (5.0.51ubuntu3) gutsy; urgency=low

  * autoscripts/postinst-iconcache, autoscripts/postrm-iconcache: 
    run gtk-update-icon-cache <args> || true   to not bomb out in postinsts.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 12 Jul 2007 09:26:39 +0100

debhelper (5.0.51ubuntu2) gutsy; urgency=low

  * Have dh_iconcache call dh_icons instead of itself.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 10 Jul 2007 01:37:22 +1000

debhelper (5.0.51ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - autoscripts/postinst-scrollkeeper: Do not display scrollkeeper output.
    - dh_installudev: Change default priority string to 50, and change the 
      separator character to "-".
    - dh_installxfonts: Set a versioned Depends on xfonts-utils to ensure
      availability of --x11r7-layout.
    - dh_python: Add 2.5 as known version.
    - Add dh_iconcache.
  * autoscripts/postinst-iconcache, autoscripts/postrm-iconcache: removed.
  * dh_iconcache: replaced with a compatibility script, that simply calls
    dh_icons.
    WARNING: please switch to dh_icons, dh_iconcache will go away.
  * dh_icons: drop safety check that only executes dh_icons if a theme cache
    already exists - we don't have a transition period to go through.
  * autoscripts/postinst-icons, autoscripts/postrm-icons: ran dos2unix on
    them.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 09 Jul 2007 11:50:58 +0200

debhelper (5.0.51) unstable; urgency=low

  * dh_icons: New program to update Freedesktop icon caches. Thanks
    to Josselin Mouette, Ross Burton, Jordi Mallach, and Loïc Minier.
    Closes: #329460
  * Note that as a transitional measure, dh_icons will currently only update
    existing caches, and not create and new caches. Once everything is
    updating the icon caches, this will be changed. See #329460 for the full
    plan.
  * Remove possibly confusing (though strictly accurate) sentence from
    dh_installdirs.1. Closes: #429318
  * dh_gencontrol: Fix man page typo. Closes: #431232

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Jul 2007 18:16:21 -0400

debhelper (5.0.50ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - autoscripts/postinst-scrollkeeper: Do not display scrollkeeper output.
    - Add dh_iconcache.
    - dh_installudev: Change default priority string to 50, and change the
      separator character to "-".
    - dh_installxfonts: Set a versioned Depends on xfonts-utils to ensure
      availability of --x11r7-layout.
    - dh_python: Add 2.5 as known version.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jun 2007 19:37:18 +0100

debhelper (5.0.50) unstable; urgency=low

  * dh_installwm: If a path is not given, assume the file is in usr/bin, since
    usr/X11R6/bin now points to there.
  * Update urls to web page.
  * Add some checks for attempts to act on packages not defined in the control
    file. (Thanks Wakko)
  * Use dpkg-query to retrieve conffile info in udev rules upgrade code 
    rather than parsing status directly. (Thanks Guillem)

 -- Joey Hess <joeyh@debian.org>  Thu, 31 May 2007 13:14:06 -0400

debhelper (5.0.49ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - autoscripts/postinst-scrollkeeper: Do not display scrollkeeper output.
    - Add dh_iconcache.
    - dh_installwm: In backward-compatibility code, assume /usr/bin/X11
      rather than /usr/X11R6/bin.
    - dh_installudev: Change default priority string to 50, and change the
      separator character to "-".
    - dh_installxfonts: Set a versioned Depends on xfonts-utils to ensure
      availability of --x11r7-layout.
  * Drop dh_gconf changes as they only affect upgrades from versions of
    Ubuntu before 6.06.
  * Set Ubuntu maintainer address per Debian's request.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Apr 2007 09:56:27 +0100

debhelper (5.0.49) unstable; urgency=low

  * dh_installwm: Fix several stupid bugs, including:
    - man page handling was supposed to be v6 only and was not
    - typo in alternatives call
    - use the basename of the wm to get the man page name
    Closes: #420158
  * dh_installwm: Also make the code to find the man page more robust and
    fall back to not registering a man page if it is not found.

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Apr 2007 13:43:35 -0400

debhelper (5.0.48) unstable; urgency=low

  * Remove use of #SECTION# from dh_installinfo postinst snippet
    that was accidentially re-added in 5.0.46 due to a corrupt svn checkout.
    Closes: #419849

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Apr 2007 13:24:58 -0400

debhelper (5.0.47) unstable; urgency=low

  * Fix absurd typo. How did I test for an hour and miss that? Closes: #419612

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Apr 2007 18:20:20 -0400

debhelper (5.0.46) unstable; urgency=low

  * Fix a typo in postinst-udev.

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Apr 2007 12:39:41 -0400

debhelper (5.0.45) unstable; urgency=low

  * dh_installudev: Install udev rules directly into /etc/udev/rules.d/, not
    using the symlinks. MD has agreed that this is more appropriate for most
    packages.
  * That fixes the longstanding bug that the symlink was only made on brand
    new installs of the package, rather than on upgrade to the first version
    that includes the udev rules file. Closes: #359614
  * This avoids the need to run udevcontrol reload_rules, since inotify
    will see the file has changed. Closes: #414537
  * dh_installudev: Add preinst and postinst code to handle cleanly moving
    the rules file to the new location on upgrade.
  * This would be a good time for the many packages that manage rules files
    w/o using dh_installudev to begin to use it..
  * Do script fragement reversal only in v6, since it can break certian
    third party programs such as dh_installtex. Closes: #419060

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Apr 2007 12:34:10 -0400


