=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: maemo integration <integration@maemo.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Build-Depends: po4a (>= 0.24)
 Standards-Version: 3.7.2
 XS-Vcs-Svn: svn://svn.debian.org/debhelper/trunk/
