## debhelper 6.0.4ubuntu1

=== debian/changelog ===
debhelper (6.0.4ubuntu1) hardy; urgency=low

  * Merge with Debian unstable (LP: #184545). Remaining changes:
    - autoscripts/postinst-scrollkeeper: Do not show scrollkeeper-update
      output.
    - dh_installudev: Use priority 50 by default (instead of z60) and '-'
      separator (instead of '_').
    - dh_installxfonts: Use versioned dependency for xfonts-utils. This should
      be kept until dapper goes out of support, to avoid broken dapper
      backports.
    - dh_python: Add 2.5 as supported Python version. dh_python is generally
      deprecated in favor of dh_py{central,support}, but universe might still
      have some unconverted packages. This should be dropped at some point,
      though.

 -- Michael Bienia <geser@ubuntu.com>  Sat, 26 Jan 2008 14:14:22 +0100

debhelper (6.0.4) unstable; urgency=low

  * dh_strip: Improve the idempotency fix put in for #380314.
  * dh_strip: The -k flag didn't work (--keep did). Fix.
  * dh_shlibdeps: Add emul to exclude list.

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Jan 2008 18:32:27 -0500

debhelper (6.0.3) unstable; urgency=low

  * dh_link: -X can be used to avoid it modifying symlinks to be compliant
    with policy. Closes: #461392
  * dh_shlibdeps: Rather than skipping everything in /usr/lib/debug,
    which can include debug libraries that dpkg-shlibdeps should look at,
    only skip the subdirectories of it that contain separate debugging
    symbols. (Hardcoding the names of those directories is not the best
    implementation, but it will do for now.) Closes: #461339

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Jan 2008 15:27:59 -0500

debhelper (6.0.2) unstable; urgency=low

  * Revert slightly broken refactoring of some exclude code.
    Closes: #460340, #460351

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Jan 2008 12:31:15 -0500

debhelper (6.0.1) unstable; urgency=low

  * dh_installdocs/examples: Don't unnecessarily use the exclude code path.
  * dh_install{,docs,examples}: Avoid infinite recursion when told to
    install a directory ending with "/." (slashdot effect?) when exclusion is
    enabled. Emulate the behavior of cp in this case. Closes: #253234
  * dh_install: Fix #459426 here too.

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Jan 2008 14:15:56 -0500

debhelper (6.0.0) unstable; urgency=low

  * dh_gencontrol: Stop passing -isp, it's the default now. Closes: #458114
  * dh_shlibdeps: Update documentation for -L and -l. dpkg-shlibdeps is now
    much smarter, and these options are almost never needed. Closes: #459226
  * dh_shlibdeps: If a relative path is specified in -l, don't prepend the pwd
    to it, instead just prepend a slash to make it absolute. dpkg-shlibdeps
    has changed how it used LD_LIBRARY_PATH, so making it point into the
    package build directory won't work.
  * dh_shlibdeps: Change "-L pkg" to cause "-Sdebian/pkg" to be passed to
    dpkg-shlibdeps. The old behavior of passing -L to dpkg-shlibdeps didn't
    affect where it looked for symbols files. Closes: #459224
  * Depend on dpkg-dev 1.14.15, the first to support dpkg-shlibdeps -S.
  * dh_installdocs, dh_installexamples: Support files with spaces in exclude
    mode. Closes: #459426
  * debhelper v6 mode is finalised and is the new recommended compatibility
    level.

 -- Joey Hess <joeyh@debian.org>  Tue, 08 Jan 2008 17:12:36 -0500

debhelper (5.0.63) unstable; urgency=low

  * dh_installdocs: Tighten doc-base document id parsing to only accept
    the characters that the doc-base manual allows in the id. Closes: #445541

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Dec 2007 22:54:51 -0500

debhelper (5.0.62ubuntu1) hardy; urgency=low

  * Merge with Debian unstable. See 5.0.58ubuntu1 for remaining diffs
    (unchanged).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2007 16:32:43 +0000

debhelper (5.0.62) unstable; urgency=low

  * Remove execute bit from desktop files in /usr/share/applications.
    Closes: #452337
  * Fix man page names of translated debhelper(7) man pages.
    Patch from Frédéric Bothamy. Closes: 453051
  * dh_makeshlibs: Use new -I flag to specify symbol files, necessary to
    properly support includes. Closes: #452717
  * Increase dpkg-dev dependency to 1.14.12 to ensure that dh_makeshlibs
    isn't used with an old dpkg-gensymbols that doesn't support -I.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Nov 2007 12:04:59 -0500

debhelper (5.0.61ubuntu1) hardy; urgency=low

  * Merge with Debian unstable. See 5.0.58ubuntu1 for remaining diffs
    (unchanged).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 23 Nov 2007 14:57:45 +0100

debhelper (5.0.61) unstable; urgency=low

  * Man page fix re v4. Closes: #450608
  * dh_makeshlibs: Support symbols files. Closes: #443978
    Packages using this support should build-depend on dpkg-dev (>= 1.14.8).
    Symbols files can be downloaded from mole:
    http://qa.debian.org/cgi-bin/mole/seedsymbols

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Nov 2007 14:27:57 -0500

debhelper (5.0.60) unstable; urgency=low

  * Debhelper is now developed in a git repository.
  * Reword paragraph about debian/compress files to perhaps be more clear
    about the debian/compress file. Closes: #448759
  * dh_installdirs(1): Remove unnecessary caveat about slashes.
  * dh_icons: Now that GTK 2.12 has entered testing, use the much simpler to
    call update-icon-caches command. Thanks, Josselin Mouette.

 -- Joey Hess <joeyh@debian.org>  Fri, 02 Nov 2007 23:21:08 -0400

debhelper (5.0.59ubuntu1) hardy; urgency=low

  * Merge trigger support from Debian unstable.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 23 Oct 2007 16:56:09 +0200

debhelper (5.0.59) unstable; urgency=low

  * dh_installdeb: Add support for dpkg triggers, by installing
    debian/package.triggers files.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Oct 2007 13:59:18 -0400

debhelper (5.0.58ubuntu1) hardy; urgency=low

  * Merge with Debian unstable. Remaining changes:

