=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24)
-Standards-Version: 3.7.2
-XS-Vcs-Svn: svn://svn.debian.org/debhelper/trunk/
+Standards-Version: 3.7.3
+Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
+Homepage: http://kitenet.net/~joey/code/debhelper/
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, coreutils, file (>= 3.23-1), dpkg-dev (>= 1.13.13), html2text, binutils, po-debconf
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23-1), dpkg-dev (>= 1.14.15), html2text, binutils, po-debconf
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules
