=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # Figure out the `current debhelper version.
 VERSION=$(shell expr "`dpkg-parsechangelog |grep Version:`" : '.*Version: \(.*\)')
 
-PERLLIBDIR=$(shell SBOX_REDIRECT_IGNORE=/usr/bin/perl /usr/bin/perl -MConfig -e 'print $$Config{vendorlib}')
+PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')
 
 POD2MAN=pod2man -c Debhelper -r "$(VERSION)"
 
@@ -46,6 +46,18 @@
 	cat debhelper.pod | \
 		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
 		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7
+	po4a man/po4a/po4a.cfg 
+	set -e; \
+	for lang in $(LANGS); do \
+		dir=man/$$lang; \
+		for file in $$dir/dh_*.pod; do \
+			prog=`basename $$file | sed 's/.pod//'`; \
+			$(POD2MAN) $$file $$prog.$$lang.1; \
+		done; \
+		cat $$dir/debhelper.pod | \
+			$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
+			$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
+	done
 	
 	touch build-stamp
 
@@ -53,6 +65,10 @@
 	./run dh_testdir
 	./run dh_testroot
 	./run dh_clean *.1 *.7 *-stamp Debian/Debhelper/Dh_Version.pm
+	po4a --rm-translations --rm-backups man/po4a/po4a.cfg
+	for lang in $(LANGS); do \
+		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
+	done;
 
 test: version test-stamp
 test-stamp:
