## debhelper 7.0.13ubuntu1~hardy1

=== debian/changelog ===
debhelper (7.0.13ubuntu1~hardy1) hardy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Michael Casadevall <sonicmctails@gmail.com>  Mon, 10 Nov 2008 13:04:27 +0000

debhelper (7.0.13ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - autoscripts/postinst-scrollkeeper: Do not show scrollkeeper-update
      output.
    - dh_installudev: Use priority 50 by default (instead of z60) and '-'
      separator (instead of '_').
    - dh_installxfonts: Use versioned dependency for xfonts-utils. This should
      be kept until dapper goes out of support, to avoid broken dapper
      backports.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 28 Jun 2008 00:41:46 +0000

debhelper (7.0.13) unstable; urgency=low

  * dh_auto_install: Rather than looking at the number of binary packages
    being acted on, look at the total number of binary packages in the
    source package when deciding whether to install to debian/package or
    debian/tmp. This avoids inconsistencies when building mixed arch all+any
    packages using the binary-indep and binary-arch targets.
    Closes: #487938

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Jun 2008 12:27:02 -0400

debhelper (7.0.12) unstable; urgency=medium

  * Correct docs about dh_install and debian/tmp in v7 mode. It first looks in
    the current directory, or whatever is configured with --srcdir. Then it
    always falls back to looking in debian/tmp.
  * Medium urgency to get this doc fix into testing.

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Jun 2008 03:36:50 -0400

debhelper (7.0.11ubuntu1) intrepid; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - autoscripts/postinst-scrollkeeper: Do not show scrollkeeper-update
      output.
    - dh_installudev: Use priority 50 by default (instead of z60) and '-'
      separator (instead of '_').
    - dh_installxfonts: Use versioned dependency for xfonts-utils. This should
      be kept until dapper goes out of support, to avoid broken dapper
      backports.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Jun 2008 10:57:55 +0200

debhelper (7.0.11) unstable; urgency=low

  * dh: Man page fix. Closes: #485116
  * Add stamp files to example rules targets. Closes: #486327
  * Add a build dependency on file. The rules file now runs dh_strip and
    dh_shlibdeps, which both use it. (It could be changed not to, but
    it's good to have it run all the commands as a test.) Closes: #486439
  * Typo fix. Closes: #486464

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Jun 2008 12:39:21 -0400

debhelper (7.0.10) unstable; urgency=low

  * dh_compress: Do not compress index.sgml files, as generated by gtk-doc.
    Closes: #484772

 -- Joey Hess <joeyh@debian.org>  Fri, 06 Jun 2008 11:48:39 -0400

debhelper (7.0.9) unstable; urgency=low

  * rules.tiny: Typo fix. Closes: #479647
  * dh_installinit: Add --restart-after-upgrade, which avoids stopping a
    daemon in the prerm, and instead restarts it in the postinst, keeping
    its downtime minimal. Since some daemons could break if files are upgraded
    while they're running, it's not the default. It might become the default
    in a future (v8) compatibility level. Closes: #471060
  * dh: fix POD error. Closes: #480191
  * dh: Typo fixes. Closes: #480200
  * dh: Add remove_command to the sequence interface.
  * dh_auto_clean: setup.py clean can create pyc files. Remove. Closes: #481899

 -- Joey Hess <joeyh@debian.org>  Mon, 19 May 2008 12:47:47 -0400

debhelper (7.0.8) unstable; urgency=low

  * dh: Add an interface that third-party packages providing debhelper commands
    can use to insert them into a command sequence. 
    (See dh(1), "SEQUENCE ADDONS".)
  * dh: --with=foo can be used to include such third-party commands.
    So, for example, --with=cli could add the dh_cli* commands from
    cli-common.
  * Moved python-support special case out of dh and into a python-support
    sequence addon. --with=python-support is enabled by default to avoid
    breaking backwards compatability.

 -- Joey Hess <joeyh@debian.org>  Sun, 04 May 2008 16:10:54 -0400

debhelper (7.0.7) unstable; urgency=low

  * dh_installxfonts: Fix precidence problem that exposes a new warning
    message in perl 5.10.

 -- Joey Hess <joeyh@debian.org>  Sun, 04 May 2008 13:43:41 -0400

debhelper (7.0.6) unstable; urgency=low

  * dh_auto_test: Correct Module::Build tests.

 -- Joey Hess <joeyh@debian.org>  Sat, 03 May 2008 12:58:50 -0400

debhelper (7.0.5) unstable; urgency=low

  * Convert copyright file to new format.
  * dh_test*: inhibit logging. Closes: #478958

 -- Joey Hess <joeyh@debian.org>  Thu, 01 May 2008 19:52:00 -0400

debhelper (7.0.4) unstable; urgency=low

  * Fix underescaped $ in Makefile. Closes: #478475
  * dh_auto_test: Run tests for Module::Build packages. (Florian Ragwitz)

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Apr 2008 02:17:01 -0400

debhelper (7.0.3) unstable; urgency=low

  * dh: Fix man page typos. Closes: #477933
  * Add missing $! to error message when the log can't be opened.
  * One problem with the log files is that if dh_clean is not the last command
    run, they will be left behind. This is a particular problem on build
    daemons that use real root. Especially if cdbs is used, since it runs
    dh_listpackages after clean, thereby leaving behind log files that
    only root can touch. Avoid this particular special case by inhibiting
    logging by dh_listpackages.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Apr 2008 01:40:03 -0400

debhelper (7.0.2) unstable; urgency=low

  * dh: Optimise the case where the binary-arch or binary-indep sequence is
    run and there are no packages of that type.
  * dh_auto_configure: Set PERL_MM_USE_DEFAULT when configuring MakeMaker
    packages to avoid interactive prompts.
  * dh_auto_*: Also support packages using Module::Build.
  * dh_auto_*: Fix some calls to setup.py. Now tested and working with
    python packages.
